Package net.shibboleth.shared.testing

# Class VelocityEngine

java.lang.Object
net.shibboleth.shared.testing.VelocityEngine

public final class VelocityEngine extends Object
This is a helper class for creating velocity engines.

## Constructor Summary

Constructors
Modifier
Constructor
Description
`private`
`VelocityEngine()`
Default constructor.

## Method Summary

Modifier and Type
Method
Description
`static Properties`
`getDefaultProperties()`
Returns the default velocity engine properties.
`static org.apache.velocity.app.VelocityEngine`
`newVelocityEngine()`
Creates a new velocity engine with default properties.
`static org.apache.velocity.app.VelocityEngine`
`newVelocityEngine(Properties props)`
Creates a new velocity engine with the supplied properties.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### VelocityEngine

private VelocityEngine()
Default constructor.

## Method Details

### newVelocityEngine

@Nonnull public static org.apache.velocity.app.VelocityEngine newVelocityEngine()
Creates a new velocity engine with default properties. See `getDefaultProperties()`.

Returns:
  velocity engine

### newVelocityEngine

@Nonnull public static org.apache.velocity.app.VelocityEngine newVelocityEngine(@Nonnull @NullableElements Properties props)
Creates a new velocity engine with the supplied properties.

Parameters:
  `props` - velocity engine properties
Returns:
  velocity engine

### getDefaultProperties

@Nonnull public static Properties getDefaultProperties()
Returns the default velocity engine properties. Default properties include:

- "resource.loader.string.class","org.apache.velocity.runtime.resource.loader.StringResourceLoader"
- "resource.loader.classpath.class","org.apache.velocity.runtime.resource.loader.ClasspathResourceLoader"
- "resource.loaders", "classpath, string"

Returns:
  velocity engine properties